Bug 1729235 (go2rpm) - Review Request: go2rpm - Convert Go packages to RPM
Summary: Review Request: go2rpm - Convert Go packages to RPM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: go2rpm
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 16:12 UTC by Robert-André Mauchin
Modified: 2019-11-27 10:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 10:10:24 UTC
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-07-11 16:12:16 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/go2rpm.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/python-go2rpm-1-1.fc31.src.rpm

Description:
Convert Go packages to RPM.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 2019-07-11 16:16:51 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36189744

Comment 3 Miro Hrončok 2019-07-11 16:58:42 UTC
I guess the primary use case for this is the go2rpm tool and not the Python module, correct? If so, just rename to go2rpm please.

Comment 4 Robert-André Mauchin 2019-07-11 18:04:58 UTC
New Spec URL: https://eclipseo.fedorapeople.org/for-review/go2rpm.spec
New SRPM URL: https://eclipseo.fedorapeople.org/for-review/

Comment 6 Miro Hrončok 2019-07-11 18:18:17 UTC
Package Review
==============

Package APPROVED!

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: go2rpm-1-1.fc31.noarch.rpm
          go2rpm-1-1.fc31.src.rpm
go2rpm.noarch: W: no-documentation
go2rpm.noarch: W: no-manual-page-for-binary go2rpm
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://pagure.io/GoSIG/go2rpm/archive/v1/go2rpm-v1.tar.gz :
  CHECKSUM(SHA256) this package     : 5861957a3c0c91a5d80258ac8c8a6a7158784e8115d70e92d9ed6ae5bf2d5ab9
  CHECKSUM(SHA256) upstream package : 5861957a3c0c91a5d80258ac8c8a6a7158784e8115d70e92d9ed6ae5bf2d5ab9


Requires
--------
go2rpm (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.7dist(aiohttp)
    python3.7dist(gitpython)
    python3.7dist(jinja2)
    python3.7dist(setuptools)



Provides
--------
go2rpm:
    go2rpm
    python3.7dist(go2rpm)
    python3dist(go2rpm)

Comment 7 Gwyn Ciesla 2019-07-11 20:51:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/go2rpm

Comment 8 Elliott Sales de Andrade 2019-07-11 22:33:53 UTC
Don't we need askalono for this to work?

Comment 9 Robert-André Mauchin 2019-07-11 23:56:42 UTC
Good point I forgot about that.

Comment 10 Fedora Update System 2019-07-12 01:07:27 UTC
FEDORA-2019-5c3607491f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5c3607491f

Comment 11 Fedora Update System 2019-07-12 01:14:27 UTC
FEDORA-2019-2272678257 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2272678257

Comment 12 Fedora Update System 2019-07-13 00:57:48 UTC
go2rpm-1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5c3607491f

Comment 13 Fedora Update System 2019-07-13 02:05:42 UTC
go2rpm-1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2272678257

Comment 14 Fedora Update System 2019-07-20 20:40:00 UTC
FEDORA-2019-ecfecea33f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ecfecea33f

Comment 15 Fedora Update System 2019-07-21 07:44:14 UTC
go2rpm-1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ecfecea33f


Note You need to log in before you can comment on or make changes to this bug.